<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>JR1.10</title>

    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300&display=swap" rel="stylesheet">
    <!-- Font awesome-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.2/css/all.min.css"
        integrity="sha512-1sCRPdkRXhBV2PBLUdRb4tMg1w2YPf37qatUFeS7zlBy7jJI8Lf4VHwWfZZfpXtYSLy85pkm9GaYVYMfw5BC1A=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />




    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>

    <style>
        .button5 {
            border-radius: 20px;
        }
    </style>
</head>

<body>
    <!-- 1. Menu header  -->

    <nav class="navbar navbar-expand-lg navbar-light bg-white fixed-top text-primary"
        style="padding: 13px 0px 0px 0px; margin-bottom: 0px">
        <br>
        <div class="row form-group col-sm-3">
        </div>
        <div class="row form-group col-sm-3">
            <b>
                <h3>Weather App</h3>
            </b>
        </div>
        <div class="row form-group col-sm-3">
        </div>
        <div class="row form-group col-sm-2">
            <div class="col-sm-5">
                <h5>Current</h5>
            </div>
            <div class="col-sm-2">

            </div>
            <div class="col-sm-5">
                <h5>Forecast</h5>
            </div>
        </div>
        <div class="row form-group col-sm-2">
        </div>

    </nav>

    <!-- 2. Title -->
    <div class="container-fluid jumbotron bg-primary text-center text-white" style="padding-top: 10rem;">

        <h3>Get Curent Weather Information</h3>

    </div>
    <!-- 3. content -->
    <div class="container-fluid regtangle-box" style="padding: 50px 0px 300px 0px; margin-bottom: 0px" id="docs">
        <div class="container text-center text-primary">
            <h4>Enter City Name</h4>
        </div>
        <div class="form-group">
            <div class="col-12">
                <div class="row">
                    <div class="col-4">
                    </div>
                    <div class="col-3">
                        <input id="inp-address" type="text" class="form-control" placeholder="Enter City Name">
                    </div>
                    <div class="col-3">
                        <button id="btn-search" class="btn btn-primary">Search City</button>
                    </div>
                    <div class="col-4">
                    </div>
                </div> <br> <br>
                <div class="container button5 text-white bg-primary col-sm-10">
                    <div class="row form-group text-center">
                        <h3 class=""> Current Weather for &nbsp;</h3>
                        <h3 id="city"></h3>
                    </div>
                    <div class="row form-group">
                        <h5>Weather: &nbsp;</h5>
                            <h5 id="weather"></h5>
                    </div>
                    <div class="row form-group">
                        </h5>
                        <h5>Description:&nbsp;</h5>
                        <h5 id="description"></h5>
                    </div>
                    <div class="row form-group">
                        <h5>Temperature: &nbsp;</h5>
                        <h5 id="temperature"></h5>
                    </div>
                    <div class="row form-group">
                        <h5>Pressure:&nbsp;</h5>
                        <h5 id="pressure"></h5>
                    </div>
                    <div class="row form-group">
                        <h5>Humidity:&nbsp;</h5>
                        <h5 id="humidity"></h5>
                    </div>
                    <div class="row form-group">
                        <h5>Min Temperature: &nbsp;</h5>
                        <h5 id="min-temperature"></h5>
                    </div>
                    <div class="row form-group">
                        <h5>Max Temperature:&nbsp;</h5>
                        <h5 id="max-temperature"></h5>
                    </div>
                    <div class="row form-group">
                        <h5>Wind Speed: &nbsp;</h5>
                        <h5 id="wind-ppeed"></h5>
                    </div>
                    <div class="row form-group">
                        <h5>Wind Direction:&nbsp;</h5>
                        <h5 id="wind-direction"></h5>
                    </div>
                    <div class="row form-group">
                        <h5 id="h5-weather"></h5>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- 5. Footer -->
    <!-- Footer -->



    <div class="container footer-weather">
        <div class="row ">
            <nav class="navbar fixed-bottom navbar-dark bg-primary text-light">
                <div class="col-sm-12 text-center">
                    <small>Copyright <i class="far fa-copyright"></i> Weather App</small>
                </div>
            </nav>
        </div>
    </div>

    <!-- End footer-->
</body>

</html>
<script>
    $(document).ready(function () {
        $("#btn-search").on("click", function () {
            var vCity = $("#inp-address").val().trim();
            console.log(vCity);
            getCurrentWeather(vCity)
        })



        function getCurrentWeather(paramData) {
            var city = paramData;
            //"Ha noi";

            if (city != '') {

                $.ajax({
                    url: 'http://api.openweathermap.org/data/2.5/weather?q=' + city + "&units=metric" +
                        "&APPID=c10bb3bd22f90d636baa008b1529ee25",
                    type: "GET",
                    dataType: "json",
                    success: function (data) {

                        console.log(
                            `Current Weather for ${data.name}, ${data.sys.country}+
                        Weather: ${data.weather[0].main}
                        Img: 'http://openweathermap.org/img/w/${data.weather[0].icon}.png'
                        Description: ${data.weather[0].description}
                        Temperature: ${data.main.temp}
                        Pressure: ${data.main.pressure}
                        Humidity: ${data.main.humidity}+"%</h3>"+
                        Min Temperature: ${data.main.temp_min}
                        Max Temperature: ${data.main.temp_max}
                        Wind Speed: ${data.wind.speed}
                        Wind Direction: ${data.wind.deg}`
                        )
                        loadDataToform(data);
                    }

                });
            } else {
                console.error("City not valid")
            }
        }
        function loadDataToform(paramData) {

            $("#city").html(paramData.name + ", " + paramData.sys.country);

            $("#weather").html(paramData.weather[0].main);
            $("#description").html('<img src=' + paramData.weather[0].description + '>' + " " + paramData.weather[0].description);
            $("#temperature").html(paramData.main.temp + "*C");
            $("#pressure").html(paramData.main.pressure + "hpa");
            $("#humidity").html(paramData.main.humidity + "%");
            $("#min-temperature").html(paramData.main.temp_min + "*C");
            $("#max-temperature").html(paramData.main.temp_max + "*C");
            $("#wind-ppeed").html(paramData.wind.speed + "m/s");
            $("#wind-direction").html(paramData.wind.deg + "*");

           /* $("#h5-weather").html(`<h5 class= "text-center">Current Weather for ${paramData.name}, ${paramData.sys.country}</h5> <br>
                        Weather: ${paramData.weather[0].main}<br>
                        Description: <img src= '${paramData.weather[0].description}'>  ${paramData.weather[0].description}<br>
                        Temperature: ${paramData.main.temp} *C<br>
                        Pressure: ${paramData.main.pressure} hpa<br>
                        Humidity: ${paramData.main.humidity}% <br>
                        Min Temperature: ${paramData.main.temp_min} *C<br>
                        Max Temperature: ${paramData.main.temp_max} *C<br>
                        Wind Speed: ${paramData.wind.speed} m/s <br>
                        Wind Direction: ${paramData.wind.deg}* <br>`)*/
        }
    });
</script>